package org.daligo.app;

import java.util.ArrayList;

import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class CourseNameParser extends DefaultHandler {
	private boolean hasName = false;
	private ArrayList<String> courses = new ArrayList<String>();

	@Override
	public void startElement(String uri, String localName, String qName,
			Attributes atts) {
		if (localName.equals("name"))
			hasName = true;
	}

	@Override
	public void characters(char[] chars, int start, int leng) {
		if (hasName) {
			hasName = false;
			courses.add(new String(chars, start, leng));
		}
	}
	
	public String[] getCourseNames() {
		int count = courses.size();
		
		String[] res = new String[count];
		
		for(int i=0; i<count; i++)
			res[i] = courses.get(i);
		
		return res;
	}
}
