package org.daligo.app;

import org.daligo.type.DaligoPath;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

import com.google.android.maps.GeoPoint;

public class CoursePathParser extends DefaultHandler {
	private String courseName, curCourseName;
	private DaligoPath path = new DaligoPath();

	private boolean hasName = false;
	private boolean hasLatitude = false;
	private boolean hasLongitude = false;

	private int latitude = 0;
	private int longitude = 0;

	public CoursePathParser(String courseName) {
		this.courseName = courseName;
	}

	@Override
	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {
		// TODO Auto-generated method stub
		if (localName.equals("name")) {
			hasName = true;
		} else if (localName.equals("latitude")) {
			hasLatitude = true;
		} else if (localName.equals("longitude")) {
			hasLongitude = true;
		}
	}

	@Override
	public void characters(char[] ch, int start, int length)
			throws SAXException {
		// TODO Auto-generated method stub
		if (hasName) {
			hasName = false;
			curCourseName = new String(ch, start, length);
		} else if (courseName.equals(curCourseName)) {
			if (hasLatitude) {
				hasLatitude = false;
				String str = new String(ch, start, length);
				try {
					latitude = toE6(str);
				} catch (NumberFormatException nfe) {
				}
			} else if (hasLongitude) {
				hasLongitude = false;
				String str = new String(ch, start, length);
				try {
					longitude = toE6(str);
					path.add(new GeoPoint(latitude, longitude));
				} catch (NumberFormatException nfe) {
				}
			}
		}
	}

	public DaligoPath getDaligoPath() {
		return path;
	}

	private int toE6(String tude) throws NumberFormatException {
		return (int) (Double.parseDouble(tude) * 1E6);
	}
}
