package org.daligo.app;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;

public class CustomDistanceSelect extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.custom_distance_select);

		final Spinner kiloSpinner = (Spinner) findViewById(R.id.kilo_spinner);
		final Spinner metersSpinner = (Spinner) findViewById(R.id.meters_spinner);

		ArrayAdapter<CharSequence> kiloAdapter = ArrayAdapter
				.createFromResource(this, R.array.kilo,
						android.R.layout.simple_spinner_item);
		ArrayAdapter<CharSequence> metersAdapter = ArrayAdapter
				.createFromResource(this, R.array.meters,
						android.R.layout.simple_spinner_item);

		kiloAdapter
				.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		metersAdapter
				.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

		kiloSpinner.setAdapter(kiloAdapter);
		metersSpinner.setAdapter(metersAdapter);

		Button goButton = (Button) findViewById(R.id.go_button);
		Button cancelButton = (Button) findViewById(R.id.cancel_button);

		goButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(CustomDistanceSelect.this,
						GoDistanceActivity.class);
				int kilo = Integer.parseInt((String) (kiloSpinner
						.getSelectedItem()));
				int meter = Integer.parseInt((String) (metersSpinner
						.getSelectedItem()));
				intent.putExtra("distance", kilo * 1000 + meter);
				startActivity(intent);
			}
		});

		cancelButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
