package org.daligo.app;

import android.content.Intent;
import android.os.Bundle;

public class GoTimeActivity extends GoBasicActivity {

	private int time;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		Intent i = getIntent();
		time = i.getIntExtra("time", 0);
		
		super.onCreate(savedInstanceState);
	}

	@Override
	protected void updateText() {
		int distance = status.getDistance();

		// 1000미터가 넘어가면 km 단위로 전환
		if (distance >= 1000) {
			distanceText.setText(f.format((double) distance / 1000.0) + " km");
		} else {
			distanceText.setText(distance + " m");
		}

		int elapsed = status.getElapsed();

		// 설정된 시간보다 초과하면 총 달린 시간을 출력한다
		if (elapsed < time)
			elapsed = time - elapsed;

		int hours = elapsed / 3600;
		int minutes = (elapsed % 3600) / 60;
		int seconds = elapsed % 60;

		// 시간에 따라 출력 포맷 변화
		if (hours == 0) {
			elapsedText.setText(minutes + " m " + seconds + " s");
		} else {
			elapsedText
					.setText(hours + "h " + minutes + " m " + seconds + " s");
		}

		speedText.setText(f.format(status.getSpeed()) + " m/s");
		caloriesText.setText(f.format(status.getCalories()) + " Kcal");
	}
}
