package org.daligo.app;

import org.daligo.domain.DiaryDBAdapter;
import org.daligo.domain.ProfileDBAdapter;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;

public class MainMenuActivity extends Activity {

	ProfileDBAdapter profileDBAdapter;
	Cursor profileCursor;
	DiaryDBAdapter diaryDBAdapter;
	Cursor diaryCursor;

	OnClickListener listener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			switch (v.getId()) {
				case R.id.main_1:
					Intent intent1 = new Intent(MainMenuActivity.this,
							GoMenuActivity.class);
					startActivity(intent1);
					break;
				case R.id.main_2:
					Intent intent2 = new Intent(MainMenuActivity.this,
							PreferenceMenuActivity.class);
					startActivity(intent2);
					break;
				case R.id.main_3:
					Intent intent3 = new Intent(MainMenuActivity.this,
							DiaryMenuActivity.class);
					startActivity(intent3);
					break;
				case R.id.main_4:
					Intent intent4 = new Intent(MainMenuActivity.this,
							CenterMenuActivity.class);
					startActivity(intent4);
					break;
			}
		}
	};

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main_menu_activity);

		final ImageButton main_1 = (ImageButton) findViewById(R.id.main_1);
		final ImageButton main_2 = (ImageButton) findViewById(R.id.main_2);
		final ImageButton main_3 = (ImageButton) findViewById(R.id.main_3);
		final ImageButton main_4 = (ImageButton) findViewById(R.id.main_4);

		main_1.setOnClickListener(listener);
		main_2.setOnClickListener(listener);
		main_3.setOnClickListener(listener);
		main_4.setOnClickListener(listener);

		openProfileDB();
		openDiaryDB();
		openGeoPointDB();

		profileDBAdapter = new ProfileDBAdapter(this);
		profileDBAdapter.open();
		profileCursor = profileDBAdapter.getAllProfileCursor();
		if (!profileCursor.moveToFirst()) {
			Intent intent1 = new Intent(MainMenuActivity.this,
					PreferenceProfileActivity.class);
			startActivity(intent1);
		}
	}

	private void openGeoPointDB() {
		// TODO Auto-generated method stub
		SQLiteDatabase db;

		final String DATABASE_NAME = "daligo.db";
		final String DATABASE_TABLE = "geopoint";
		final String KEY_ID = "_id";
		final String KEY_LATITUDE = "latitude";
		final String KEY_LONGITUDE = "longitude";
		final String KEY_INDEX = "data_id";

		final String DATABASE_CREATE = "create table if not exists "
				+ DATABASE_TABLE + " (" + KEY_ID
				+ " integer primary key autoincrement, " + KEY_LATITUDE
				+ " real, " + KEY_LONGITUDE + " real, " + KEY_INDEX
				+ " integer) ";

		db = openOrCreateDatabase(DATABASE_NAME, Context.MODE_PRIVATE, null);
		db.execSQL(DATABASE_CREATE);
	}

	private void openProfileDB() {
		// TODO Auto-generated method stub
		SQLiteDatabase db;

		final String DATABASE_NAME = "daligo.db";
		final String DATABASE_TABLE = "profile";
		final String KEY_ID = "_id";
		final String KEY_NAME = "name";
		final String KEY_AGE = "age";
		final String KEY_GENDER = "gender";
		final String KEY_HEIGHT = "height";
		final String KEY_WEIGHT = "weight";

		final String DATABASE_CREATE = "create table if not exists "
				+ DATABASE_TABLE + " (" + KEY_ID
				+ " integer primary key autoincrement, " + KEY_NAME
				+ " text not null, " + KEY_AGE + " integer, " + KEY_GENDER
				+ " integer, " + KEY_HEIGHT + " integer, " + KEY_WEIGHT
				+ " integer); ";

		db = openOrCreateDatabase(DATABASE_NAME, Context.MODE_PRIVATE, null);
		db.execSQL(DATABASE_CREATE);
	}

	private void openDiaryDB() {
		// TODO Auto-generated method stub
		SQLiteDatabase db;
		final String DATABASE_NAME = "daligo.db";
		final String DATABASE_TABLE = "diary";
		final String KEY_ID = "_id";
		final String KEY_DATE = "date";
		final String KEY_DISTANCE = "distance";
		final String KEY_TIME = "time";
		final String KEY_SPEED = "speed";
		final String KEY_CALORIE = "calorie";

		final String DATABASE_CREATE = "create table if not exists "
				+ DATABASE_TABLE + " (" + KEY_ID
				+ " integer primary key autoincrement, " + KEY_DATE
				+ " date not null, " + KEY_DISTANCE + " real, " + KEY_TIME
				+ " real, " + KEY_SPEED + " real," + KEY_CALORIE + " real); ";
		db = openOrCreateDatabase(DATABASE_NAME, Context.MODE_PRIVATE, null);
		db.execSQL(DATABASE_CREATE);
	}
}